commit:     448c5755c6c403b66ea75868c84ba8179435d5c1
Author:     Pacho Ramos <pacho <AT> gentoo <DOT> org>
AuthorDate: Sat Nov 14 18:03:55 2015 +0000
Commit:     Pacho Ramos <pacho <AT> gentoo <DOT> org>
CommitDate: Sat Nov 14 18:38:55 2015 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=448c5755

dev-util/devhelp: Version bump

Package-Manager: portage-2.2.24

 dev-util/devhelp/Manifest              |  1 +
 dev-util/devhelp/devhelp-3.18.1.ebuild | 60 ++++++++++++++++++++++++++++++++++
 2 files changed, 61 insertions(+)

diff --git a/dev-util/devhelp/Manifest b/dev-util/devhelp/Manifest
index 3c36e87..b5c1173 100644
--- a/dev-util/devhelp/Manifest
+++ b/dev-util/devhelp/Manifest
@@ -1,2 +1,3 @@
 DIST devhelp-3.14.0.tar.xz 465860 SHA256 
a78884cf81c1fb18fc8356c62271292591d5ca62c58b045dee30c6fc278e7083 SHA512 
0f5c0de5f248fd57a34e77f0f102a8e7cc64e1414c5f0a08f45c293d18409562960fcc5523d14bdc681d1f39d7e36a0490128887ed0e458503eed20795b04296
 WHIRLPOOL 
68613cf9fa548f114187855682097de6af6a63e685cfac9edc8e377a6a8a3c5592f6e5a46ac469ea3f4ec2694a2ffee629fa2a7072ebf64db8fbdd1e5df400da
 DIST devhelp-3.16.1.tar.xz 469172 SHA256 
673c34e6851c2848e6257da8de5edc222d41e1dbf110501bd29d7f6810f41345 SHA512 
dc729125d8e5db8e333ea76b80bc435f1b1dcd3a0b67d0b079edb517374331e06a6366d2ca826847b928a4c273557153d3a037200b400dc836a5d168bdac8778
 WHIRLPOOL 
c2ccaad276f322cd2bf977087e756f3232abe991ba5763c9ca9b55c627db6ef4690c8bece0b3e90ddf3eff3f088bf4fdeaeb0cd5e57acfd07a3a96132e5321aa
+DIST devhelp-3.18.1.tar.xz 464312 SHA256 
303a162ad294dc6f9984898e501a06dc5d2aa9812b06801c2e39b250d8c51aef SHA512 
7b3eca28f1e6117e2aa0599645fec8e1b18f05c44d8f79de7f7de6804bdf485034515ff6bdd9599810ba9880c8eac0901ba5d29b8272a061196cfc5bd563eb79
 WHIRLPOOL 
284a3ec2548429a5ee7ebce5eb38e586737d71430a19777e1e05c634c011bbc173ddcaf7f4cf24f3e2e68965b117b5c4f0228467cd080c15e4ab05385b468a47

diff --git a/dev-util/devhelp/devhelp-3.18.1.ebuild 
b/dev-util/devhelp/devhelp-3.18.1.ebuild
new file mode 100644
index 0000000..cf23403
--- /dev/null
+++ b/dev-util/devhelp/devhelp-3.18.1.ebuild
@@ -0,0 +1,60 @@
+# Copyright 1999-2015 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Id$
+
+EAPI="5"
+GCONF_DEBUG="no"
+# gedit-3.8 is python3 only, this also per:
+# https://bugzilla.redhat.com/show_bug.cgi?id=979450
+PYTHON_COMPAT=( python{3_3,3_4,3_5} )
+
+inherit gnome2 python-single-r1 toolchain-funcs
+
+DESCRIPTION="An API documentation browser for GNOME"
+HOMEPAGE="https://wiki.gnome.org/Apps/Devhelp";
+
+LICENSE="GPL-2+"
+SLOT="0/3-1" # subslot = 3-(libdevhelp-3 soname version)
+KEYWORDS="~alpha ~amd64 ~arm ~ia64 ~ppc ~ppc64 ~sparc ~x86 ~amd64-fbsd 
~x86-fbsd"
+IUSE="gedit"
+REQUIRED_USE="gedit? ( ${PYTHON_REQUIRED_USE} )"
+
+# FIXME: automagic python dependency
+COMMON_DEPEND="
+       >=dev-libs/glib-2.37.3:2[dbus]
+       >=x11-libs/gtk+-3.13.4:3
+       >=net-libs/webkit-gtk-2.6.0:4
+"
+RDEPEND="${COMMON_DEPEND}
+       gedit? (
+               ${PYTHON_DEPS}
+               app-editors/gedit[introspection,python,${PYTHON_USEDEP}]
+               dev-python/pygobject:3[${PYTHON_USEDEP}]
+               x11-libs/gtk+[introspection] )
+       gnome-base/gsettings-desktop-schemas
+"
+DEPEND="${COMMON_DEPEND}
+       ${PYTHON_DEPS}
+       >=dev-util/intltool-0.40
+       virtual/pkgconfig
+"
+pkg_setup() {
+       use gedit && python-single-r1_pkg_setup
+}
+
+src_prepare() {
+       if ! use gedit ; then
+               sed -e '/SUBDIRS/ s/gedit-plugin//' -i misc/Makefile.{am,in} || 
die
+       fi
+
+       gnome2_src_prepare
+}
+
+src_configure() {
+       local myconf=""
+       # ICC is crazy, silence warnings (bug #154010)
+       if [[ $(tc-getCC) == "icc" ]] ; then
+               myconf="--with-compile-warnings=no"
+       fi
+       gnome2_src_configure ${myconf}
+}

Reply via email to